ps_mllr.c File Reference

Model-space linear transforms for speaker adaptation. More...

`#include <stdio.h>`
`#include <sphinxbase/ckd_alloc.h>`
`#include "acmod.h"`

Go to the source code of this file.

## Functions

ps_mllr_t * | ps_mllr_read (char const *regmatfile)
| Read a speaker-adaptive linear transform from a file.
ps_mllr_t * | ps_mllr_retain (ps_mllr_t *mllr)
| Retain a pointer to a linear transform.
int | ps_mllr_free (ps_mllr_t *mllr)
| Release a pointer to a linear transform.

## Detailed Description

Model-space linear transforms for speaker adaptation.

Definition in file ps_mllr.c.

## Function Documentation

## ps_mllr_free()

int ps_mllr_free | ( | ps_mllr_t * | mllr | ) |

Release a pointer to a linear transform.

Definition at line 145 of file ps_mllr.c.

References ps_mllr_s::A, ps_mllr_s::b, ps_mllr_s::h, ps_mllr_s::n_feat, ps_mllr_s::refcnt, and ps_mllr_s::veclen.

Referenced by acmod_free(), acmod_update_mllr(), and ps_mllr_read().

## ps_mllr_read()

ps_mllr_t * ps_mllr_read | ( | char const * | regmatfile | ) |

Read a speaker-adaptive linear transform from a file.

Definition at line 52 of file ps_mllr.c.

References ps_mllr_s::A, ps_mllr_s::b, ps_mllr_s::h, ps_mllr_s::n_class, ps_mllr_s::n_feat, ps_mllr_free(), ps_mllr_s::refcnt, and ps_mllr_s::veclen.

## ps_mllr_retain()

ps_mllr_t * ps_mllr_retain | ( | ps_mllr_t * | mllr | ) |

Retain a pointer to a linear transform.

Definition at line 138 of file ps_mllr.c.

References ps_mllr_s::refcnt.